package cd.casic.pipeline.dispatch.pojo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;

/**
 * @author by mianbin
 * @Classname TaskCreate
 * @Description TODO
 * @Date 2025/4/8 16:41
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@Schema(title = "虚拟机主机-创建任务")
public class TaskCreate {
    @Schema(title = "用户id", required = true)
    private String userid;
    @Schema(title = "任务名", required = true)
    private String name;
    @Schema(title = "任务脚本", required = false)
    private String script;
    @Schema(title = "机器列表", required = true)
    private List<Integer> vmList;
}
