package cd.casic.pipeline.dispatch.pojo.thirdpartyagent;

import cd.casic.ci.common.pipeline.pojo.agent.DockerOptions;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @author by mianbin
 * @Classname ThirdPartyDockerDebugInfo
 * @Description TODO
 * @Date 2025/4/8 16:36
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@Schema(title = "第三方构建Docker登录调试信息")
public class ThirdPartyDockerDebugInfo {
    @Schema(title = "项目id")
    private String projectId;
    @Schema(title = "构建id")
    private String buildId;
    @Schema(title = "构建机编排序号")
    private String vmSeqId;
    @Schema(title = "工作空间")
    private String workspace;
    @Schema(title = "流水线ID")
    private String pipelineId;
    @Schema(title = "调试用户")
    private String debugUserId;
    @Schema(title = "debugId")
    private Long debugId;
    private String image;
    private ThirdPartyBuildDockerInfoCredential credential;
    private DockerOptions options;
}
