package cd.casic.ci.process.api.process.pojo.pipeline;

import cd.casic.ci.common.pipeline.pojo.element.atom.SubPipelineType;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @author by mianbin
 * @Classname SubPipelineTaskParam
 * @Description TODO
 * @Date 2025/3/31 17:53
 */
@Data
@NoArgsConstructor
@Schema(title = "子流水线插件参数")
public class SubPipelineTaskParam {
    @Schema(title = "源参数值[projectId]", required = false)
    private String taskProjectId = "";

    @Schema(title = "源参数值[type]", required = false)
    private SubPipelineType taskPipelineType = SubPipelineType.ID;

    @Schema(title = "源参数值[pipelineId]", required = false)
    private String taskPipelineId;

    @Schema(title = "源参数值[pipelineName]", required = false)
    private String taskPipelineName;

    @Schema(title = "解析后[projectId]", required = false)
    private String projectId = "";

    @Schema(title = "解析后[pipelineId]", required = false)
    private String pipelineId = "";

    @Schema(title = "解析后[pipelineName]", required = false)
    private String pipelineName = "";
}
