package cd.casic.ci.process.api.process.pojo.setting;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

/**
 * @Author：mianbin
 * @Package：cd.casic.ci.process.api.process.pojo.setting
 * @Project：ops-pro
 * @name：StageCommonSetting
 * @Date：2025/03/24 20:24
 * @Filename：StageCommonSetting
 * @description：Todo
 */
@Data
@Schema(title = "流水线stage公共配置信息")
public class StageCommonSetting {
    @Schema(title = "每个stage最大job个数", required = true)
    private int maxJobNum;
    @Schema(title = "job公共配置", required = true)
    private JobCommonSetting jobCommonSetting;
}