package cd.casic.ci.process.api.process.pojo.trigger;

import lombok.Builder;
import lombok.Data;

import java.time.LocalDateTime;
import java.util.Map;

/**
 * @Author：mianbin
 * @Package：cd.casic.ci.pipelineciprocessapi.process.pojo.trigger
 * @Project：ops-pro
 * @name：PipelineTriggerEventBuilder
 * @Date：2025/03/24 17:31
 * @Filename：PipelineTriggerEventBuilder
 * @description：Todo
 */
@Data
@Builder
public class PipelineTriggerEventBuilder {
    private String requestId;
    private String projectId;
    private Long eventId;
    private String triggerType;
    private String eventSource;
    private String eventType;
    private String triggerUser;
    private String eventDesc;
    private String replayRequestId;
    private Map<String, String> requestParams;
    private LocalDateTime createTime;
}
