package cd.casic.pipeline.store.constant;

import lombok.Getter;

@Getter
public final class StoreConstants {
    
    public static final String BK_OTHER = "bkOther"; // 其他
    public static final String BK_PIPELINED_JOB = "bkPipelinedJob"; // 流水线Job
    public static final String BK_IMAGE_STORE_ONLINE = "bkImageStoreOnline"; // 容器镜像商店上线，历史镜像数据自动生成
    public static final String BK_OLD_VERSION_BUILD_IMAGE = "bkOldVersionBuildImage"; // 旧版的构建镜像，通过拷贝为构建镜像入口生成
    public static final String BK_AUTOMATICALLY_CONVERTED = "bkAutomaticallyConverted"; // 已自动转换为容器镜像商店数据，请项目管理员在研发商店工作台进行管理。
    public static final String BK_COPY_FOR_BUILD_IMAGE = "bkCopyForBuildImage"; // 旧版的构建镜像，通过蓝盾版本仓库"拷贝为构建镜像"入口生成。
    public static final String BK_AFTER_IMAGE_STORE_ONLINE = "bkAfterImageStoreOnline"; // 容器镜像商店上线后，旧版入口已下线。因历史原因，此类镜像没有办法对应到实际的镜像推送人，暂时先挂到项目管理员名下。
    public static final String BK_PROJECT_MANAGER_CAN_OPERATION = "bkProjectManagerCanOperation"; // 项目管理员可在研发商店工作台进行上架/升级/下架等操作，或者交接给实际负责人进行管理。
    public static final String BK_HISTORY_DATA_MIGRATE_PASS = "bkHistoryDataMigratePass"; // historyData数据迁移自动通过
    public static final String BK_WORKER_BEE_PROJECT_NOT_EXIST = "bkWorkerBeeProjectNotExist"; // 工蜂项目信息不存在，请检查链接
    public static final String BK_WORKER_BEE_PROJECT_NOT_STREAM_ENABLED = "bkWorkerBeeProjectNotStreamEnabled"; // 工蜂项目未开启Stream，请前往仓库的CI/CD进行配置
    public static final String DEFAULT_PARAM_FIELD_IS_INVALID = "bkDefaultParamFieldIsInvalid"; // {0}参数应为{1}
    public static final String TASK_JSON_CONFIG_POLICY_FIELD_IS_INVALID = "bkTaskJsonConfigPolicyFieldIsInvalid"; // 研发商店：插件配置文件[task.json]config配置格式不正确，当 defaultFailPolicy = AUTO-CONTINUE 时，defaultRetryPolicy 不能设置为 MANUALLY-RETRY
    public static final String STORE_INDEX_CODE = "INDEX_CODE";
    public static final String STORE_INDEX_NAME = "INDEX_NAME";
    public static final String STORE_INDEX_ICON_URL = "ICON_URL";
    public static final String STORE_INDEX_DESCRIPTION = "DESCRIPTION";
    public static final String STORE_INDEX_ICON_TIPS = "ICON_TIPS";
    public static final String STORE_INDEX_LEVEL_NAME = "LEVEL_NAME";
    public static final String STORE_CODE = "STORE_CODE";
    public static final String STORE_NAME = "STORE_NAME";
    public static final String STORE_TYPE = "STORE_TYPE";
    public static final String STORE_DAILY_FAIL_DETAIL = "DAILY_FAIL_DETAIL";
    public static final String DELETE_STORE_INDEX_RESULT_LOCK_KEY = "DELETE_STORE_INDEX_RESULT_LOCK";
    public static final String DELETE_STORE_INDEX_RESULT_KEY = "DELETE_STORE_INDEX_RESULT";
    public static final String STORE_HONOR_ID = "HONOR_ID";
    public static final String STORE_HONOR_TITLE = "HONOR_TITLE";
    public static final String STORE_HONOR_NAME = "HONOR_NAME";
    public static final String STORE_CREATOR = "CREATOR";
    public static final String STORE_MODIFIER = "MODIFIER";
    public static final String STORE_CREATE_TIME = "CREATE_TIME";
    public static final String STORE_UPDATE_TIME = "UPDATE_TIME";
    public static final String STORE_HONOR_MOUNT_FLAG = "MOUNT_FLAG";
    public static final String CREATE_TIME = "CREATE_TIME";
    public static final String BK_DEFAULT_TIMEOUT = "defaultTimeout";
    public static final String BK_DEFAULT_FAIL_POLICY = "defaultFailPolicy";
    public static final String BK_DEFAULT_RETRY_POLICY = "defaultRetryPolicy";
    public static final String BK_RETRY_TIMES = "retryTimes";
    public static final String KEY_FRAMEWORK_CODE = "frameworkCode";

    private StoreConstants() {
        throw new IllegalStateException("Utility class");
    }
}