package cd.casic.pipeline.store.pojo.common.publication;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.util.Map;

@Data
@Schema(title = "工作台-组件环境信息请求报文体")
public class StoreBaseEnvRequest {
    @Schema(title = "语言", required = false)
    private String language;
    
    @Schema(title = "环境扩展信息", required = false)
    private Map<String, Object> extBaseEnvInfo;
}