package cd.casic.server;

import cd.casic.ci.process.engine.manager.RunContextManager;
import cd.casic.ci.process.engine.message.TaskRunMessage;
import cd.casic.ci.process.engine.runContext.PipelineRunContext;
import cd.casic.ci.process.engine.runContext.SecondStageRunContext;
import cd.casic.ci.process.engine.runContext.TaskRunContext;
import cd.casic.ci.process.process.dataObject.pipeline.PipPipeline;
import cd.casic.ci.process.process.dataObject.stage.PipStage;
import cd.casic.ci.process.process.dataObject.task.PipTask;
import cd.casic.ci.process.util.CryptogramUtil;
import cd.casic.framework.mq.redis.core.RedisMQTemplate;
import jakarta.annotation.Resource;
import org.junit.jupiter.api.Test;
import org.springframework.boot.test.context.SpringBootTest;
import org.springframework.test.context.ActiveProfiles;

import java.util.HashMap;
import java.util.concurrent.ConcurrentHashMap;

@SpringBootTest(classes = {OpsServerApplication.class})
@ActiveProfiles("local")
public class MachineTest {
    @Test
    public void test01(){
        System.out.println("h w !");
        String password = "Hnidc@0626cn!@#zyx";
        String encrypt = CryptogramUtil.doEncrypt(password);
        System.out.println(encrypt);
    }
    @Test
    public void test02(){
        String s = "\n" +
                "cd /home/casic/706/yunqi/CaseGenerator\n" +
                "PYTHONPATH=$PWD/src python3 ./src/CaseGenerator/main.py --work-dir ./testdata/libpng/libpng/ --binary ./testdata/libpng/libpng/pngfix --output-dir ../case --count 100\n" +
                "\n" +
                "\n" +
                "cd /home/casic/706\n" +
                "\n" +
                "docker run -v $PWD/yunqi/:/test  -it aflplusplus/aflplusplus bash\n" +
                "\n" +
                "cd /test\n" +
                "afl-fuzz -i case -o ai_afl -t 3000 -Q ./CaseGenerator/testdata/libpng/libpng/pngfix @@";
    }
    @Test
    public void test03(){
        System.out.println("\r\nWelcome to Ubuntu 18.04.6 LTS (GNU/Linux 5.4.0-150-generic x86_64)\r\n\r\n * Documentation:  https://help.ubuntu.com\r\n * Management:     https://landscape.canonical.com\r\n * Support:        https://ubuntu.com/pro\r\n\r\n扩展安全维护（ESM）Infrastructure 未启用。\r\n\r\n0 更新可以立即应用。\r\n\r\n240 个额外的安全更新可以通过 ESM Infra 来获取安装。\r\n可通过以下途径了解如何启用 ESM Infra：for Ubuntu 18.04 at\r\nhttps://ubuntu.com/18-04\r\n\r\n*** System restart required ***\r\nLast login: Thu May 22 19:48:13 2025 from 39.144.190.87\r\r\n\r\n\r\nhnidc@hnidc-PowerEdge-R740:~$ \r\n\r\necho \"自定义镜像执行命令\"\r\n\r\n\r\n自定义镜像执行命令\r\nhnidc@hnidc-PowerEdge-R740:~$ \r\nhnidc@hnidc-PowerEdge-R740:~$ cd /home/casic/706/yunqi/CaseGenerator\r\nhnidc@hnidc-PowerEdge-R740:/home/casic/706/yunqi/CaseGenerator$ PYTHONPATH=$PWD/s\rsrc python3 ./src/CaseGenerator/main.py --work-dir ./testdata/libpng/libpng/ --bi\rinary ./testdata/libpng/libpng/pngfix --output-dir ../case --count 100\r\n\r\n\r\n/home/casic/706/yunqi/CaseGenerator/src\r\n\r\n\r\nNo log file path specified, use default path: /log.log\r\nTraceback (most recent call last):\r\n  File \"/home/casic/706/yunqi/CaseGenerator/./src/CaseGenerator/main.py\", line 9, in <module>\r\n\r\n\r\n    from CaseGenerator.agent.case_gen import CaseGenerator\r\n  File \"/home/casic/706/yunqi/CaseGenerator/src/CaseGenerator/agent/case_gen.py\", line 13, in <module>\r\n    from CaseGenerator.agent.tools.file import read_file_lines, grep_in_file\r\n  File \"/home/casic/706/yunqi/CaseGenerator/src/CaseGenerator/agent/tools/file.py\", line 5, in <module>\r\n    from CaseGenerator.utils.text import read_text_range\r\n  File \"/home/casic/706/yunqi/CaseGenerator/src/CaseGenerator/utils/text.py\", line 8, in <module>\r\n    logger_text_parser = get_logger(__name__)\r\n                         ^^^^^^^^^^^^^^^^^^^^\r\n  File \"/home/casic/706/yunqi/CaseGenerator/src/CaseGenerator/utils/log.py\", line 60, in get_logger\r\n    return __log_manager.get_logger(name=name)\r\n           ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^\r\n  File \"/home/casic/706/yunqi/CaseGenerator/src/CaseGenerator/utils/log_manager.py\", line 133, in get_logger\r\n    file_handler = self._get_file_handler(file_level)\r\n                   ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^\r\n  File \"/home/casic/706/yunqi/CaseGenerator/src/CaseGenerator/utils/log_manager.py\", line 87, in _get_file_handler\r\n    file_handler = logging.handlers.RotatingFileHandler(self.log_file_path, maxBytes = 10*1024*1024, backupCount = 5, encoding = \"utf-8\")\r\n                   ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^\r\n  File \"/usr/local/lib/python3.12/logging/handlers.py\", line 155, in __init__\r\n    BaseRotatingHandler.__init__(self, filename, mode, encoding=encoding,\r\n  File \"/usr/local/lib/python3.12/logging/handlers.py\", line 58, in __init__\r\n    logging.FileHandler.__init__(self, filename, mode=mode,\r\n  File \"/usr/local/lib/python3.12/logging/__init__.py\", line 1231, in __init__\r\n    StreamHandler.__init__(self, self._open())\r\n                                 ^^^^^^^^^^^^\r\n  File \"/usr/local/lib/python3.12/logging/__init__.py\", line 1263, in _open\r\n    return open_func(self.baseFilename, self.mode,\r\n           ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^\r\nPermissionError: [Errno 13] Permission denied: '/log.log'\r\n\r\n\r\nhnidc@hnidc-PowerEdge-R740:/home/casic/706/yunqi/CaseGenerator$ \r\nhnidc@hnidc-PowerEdge-R740:/home/casic/706/yunqi/CaseGenerator$ \r\n\r\ncd /home/casic/70\r06\r\nhnidc@hnidc-PowerEdge-R740:/home/casic/706$ docker run -v $PWD/yunqi/:/test  -it \r aflplusplus/aflplusplus bash\r\n\r\n\r\ndocker: Got permission denied while trying to connect to the Docker daemon socket at unix:///var/run/docker.sock: Post \"http://%2Fvar%2Frun%2Fdocker.sock/v1.24/containers/create\": dial unix /var/run/docker.sock: connect: permission denied.\r\nSee 'docker run --help'.\r\nhnidc@hnidc-PowerEdge-R740:/home/casic/706$ \r\nhnidc@hnidc-PowerEdge-R740:/home/casic/706$ \r\n\r\ncd /test\r\n-bash: cd: /test: 没有那个文件或目录\r\nhnidc@hnidc-PowerEdge-R740:/home/casic/706$ afl-fuzz -i case -o ai_afl -t 3000 -Q\rQ ./CaseGenerator/testdata/libpng/libpng/pngfix @@\r\n\u001b[0;36mafl-fuzz \u001b[1;97m2.52b\u001b[0m by <lcamtuf@google.com>\r\n\u001b[1;92m[+] \u001b[0mYou have 80 CPU cores and 1 runnable tasks (utilization: 1%).\u001b[0m\r\n\u001b[1;92m[+] \u001b[0mTry parallel jobs - see /usr/share/doc/afl-doc/docs/parallel_fuzzing.txt.\u001b[0m\r\n\u001b[1;94m[*] \u001b[0mChecking CPU core loadout...\u001b[0m\r\n\r\n\r\n\u001b[1;92m[+] \u001b[0mFound a free CPU core, binding to #0.\u001b[0m\r\n\u001b[1;94m[*] \u001b[0mChecking core_pattern...\u001b[0m\r\n\u001b[1;94m[*] \u001b[0mChecking CPU scaling governor...\u001b[0m\r\n\u001b[1;94m[*] \u001b[0mSetting up output directories...\u001b[0m\r\n\u000f\u001b)B\u001b[?25h\u001b[0m\u001b[1;91m\r\n[-]  SYSTEM ERROR : \u001b[1;97mUnable to create 'ai_afl'\u001b[1;91m\r\n    Stop location : \u001b[0msetup_dirs_fds(), afl-fuzz.c:7094\r\n\u001b[1;91m       OS message : \u001b[0mPermission denied\r\nhnidc@hnidc-PowerEdge-R740:/home/casic/706$ \r\nhnidc@hnidc-PowerEdge-R740:/home/casic/706$ exit\r\n注销\r\n\r\n");
    }

}
