package cd.casic.ci.common.pipeline.dialect;

import lombok.Getter;
import lombok.Setter;

/**
 * @Author：mianbin
 * @Package：cd.casic.ci.common.pipeline.dialect
 * @Project：ops-pro
 * @name：ClassicPipelineDialect
 * @Date：2025/03/27 10:36
 * @Filename：ClassicPipelineDialect
 * @description：Todo
 */
@Getter
@Setter
public class ClassicPipelineDialect implements IPipelineDialect {
    @Override
    public String getPipelineDialectType() {
        return PipelineDialectType.CLASSIC.name();
    }

    @Override
    public boolean supportUseExpression() {
        return false;
    }

    @Override
    public boolean supportChineseVarName() {
        return true;
    }
}
