package cd.casic.ci.process.api.process.pojo.template;

import cd.casic.ci.common.pipeline.Model;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

/**
 * @Author：mianbin
 * @Package：cd.casic.ci.pipelineciprocessapi.process.pojo.template
 * @Project：ops-pro
 * @name：TemplateDetailInfo
 * @Date：2025/03/24 18:59
 * @Filename：TemplateDetailInfo
 * @description：Todo
 */

@Data
public class TemplateDetailInfo {
    @Schema(title = "模板代码", required = true)
    private String templateCode;
    @Schema(title = "模板名称", required = false)
    private String templateName;
    @Schema(title = "模板模型", required = false)
    private Model templateModel;
    @Schema(title = "模板版本号", required = true)
    private Long templateVersion;
    @Schema(title = "模板版本名称", required = false)
    private String templateVersionName;
}
