package cd.casic.pipeline.store.pojo.common.classify;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

@Data
@Schema(title = "分类信息请求报文体")
public class ClassifyRequest {
    @Schema(title = "分类编码", required = true)
    private String classifyCode;
    @Schema(title = "分类名称", required = true)
    private String classifyName;
    @Schema(title = "权重（数值越大代表权重越高）", required = false)
    private Integer weight;
}